/* 
 * File:   main.cpp
 * Author: tiho = rusiki
 *
 * Created on February 14, 2009, 2:17 AM
 */
#include <qfontmanager_qws.h>
#include <qfontdatabase.h>
#include <KString.h>

#include <stdlib.h>
#include "util.h"
#include "mainWidget.h"

QDaemonApp* a;
QString work_dir, prog_dir, file, cd;
int files, dirs;
int type;
bool deb;
util u;


void Debug(QString text)
{
	if(deb)
		qDebug(text);
}

int main(int argc, char **argv)
{
	QString d_about;
	d_about="\n--------------------------\n";
	d_about+="-------Written by --------\n";
	d_about+="-(c) Strelok Vlad Kolerts-\n";
	d_about+="--------26/07/2010--------\n";
	d_about+="------kolerts@ukr.net-----\n";
	d_about+="------http://e2.at.ua-----\n";
	d_about+="--------------------------\n";
	qDebug(d_about);
	
	a = new QDaemonApp(argc, argv);
	deb=0;
	prog_dir = QString(qApp->argv()[0]);
    int i = prog_dir.findRev("/");
    prog_dir.remove(i + 1, prog_dir.length() - i);
    work_dir=prog_dir.left(prog_dir.findRev("plugins/"));
	file=argv[2];
	file.replace(QString(" "), QString("\\ "));
	file=UTF(file);
	//mime=kGetMime(file).upper();
	
	Debug("ProgDir="+prog_dir+"\nWorkDir="+work_dir+"\nFile="+file);
	
	QFontFactory *factory = qt_fontmanager->factories.at(0);
	QDiskFont *qdf = new QDiskFont(factory, "KolertsFont", false, 25, 0, "s", work_dir+"res/font.ttf");
	QDiskFont *qdf_b = new QDiskFont(factory, "KolertsFont", false, 87, 0, "s", work_dir+"res/font.ttf");
	qt_fontmanager->diskfonts.append(qdf);
	qt_fontmanager->diskfonts.append(qdf_b);
	QFontDatabase::qwsAddDiskFont(qdf);
	QFontDatabase::qwsAddDiskFont(qdf_b);

	mainWidget* main = new mainWidget();
	QFont font("KolertsFont",14,25,false);
	main->setFont(font);
	a->setMainWidget(main);
	main->show();
	return a->exec();
}

