//
// Author: Strelok Vlad Kolerts, (C) 2010
//

#include "util.h"
#include "iWidget.h"
extern util u;

iWidget::iWidget() : ZKbMainWidget(ZHeader::FULL_TYPE, NULL, "ZMainWidget", WType_Modal | WType_TopLevel)//	TIME_TYPE,	TINY_TYPE,	SMALL_TYPE,	FULL_TYPE
{
	setBackgroundMode(NoBackground);
	fullScreenModeChanged(true);
	//resize( 240, 320 );
	
	QFont font("KolertsFont",19,25,false);
	setFont(font);

	Title = new QLabel(this);
	Title->setFixedWidth(240);
	QString text;
		text="<table width=\"240\" border=\"0\" cellspacing=\"0\" cellpadding=\"10\" bgcolor=\"#000000\"><tr><td align=\"center\">";
		text+="<img src="+prog_dir+"rokrArc.png width=\"48\" height=\"48\">";
		text+="</td><td width=\"175\" align=\"left\" >";
		text+="<font size=\"3\" color=\"#eeeeee\"><b>rokrArc 1.0b</b></font><br><font size=\"2\" color=\"#eeeeee\">by Strelok Vlad Kolerts<br>http://e2.at.ua</font>";
		text+="</td></tr></table>";
	Title->setText(text);
	Title->setFixedHeight(Title->heightForWidth(240)-10);
	
	font.setPixelSize(13);
	Label = new ZLabel(this);
	Label->setFixedWidth(240);
	Label->setAutoResize(true);
	Label->setFont(font);
	
	//panel = new ZScrollPanel(this, "iWidget", 0, (ZSkinService::WidgetClsID)4);
	panel = new ZFormContainer(this, 0, ZSkinService::clsZFormContainer);
	/*panel = new QScrollView(this, "ScrollView", 0);
	panel->setHScrollBarMode(QScrollView::AlwaysOff); 
	panel->setVScrollBarMode(QScrollView::Auto); //Auto*/
	panel->setFixedWidth(240);
	
	panel->addChild(Label, true);
	
	QVBoxLayout* layout = getVBoxLayout();
	layout->addWidget(Title);
	//layout->addWidget(Label);
	layout->addWidget(panel);
	
	ZSoftKey *softKey = this->getSoftKey(true);
	softKey->setText(ZSoftKey::LEFT, "", (ZSoftKey::TEXT_PRIORITY)0);
	softKey->setText(ZSoftKey::RIGHT, UTF("Закрыть"), (ZSoftKey::TEXT_PRIORITY)0);
	softKey->setClickedSlot(ZSoftKey::RIGHT, this, SLOT(hide()));
}

void iWidget::keyPressEvent(QKeyEvent*)
{
}

//#include "iWidget.moc"
